Crossover 12.1 and 64-bit ROSA 2012.Fresh

About ROSA Desktop distribution and help to users
Post Reply
User avatar
user
Nuovo utente
Nuovo utente
Posts: 1
Joined: 24 January 2013, 16:16
ROSA: 2012.Fresh
OpenMandriva: -
Kernel: 3.6.10-nrj-desktop
Desktop: KDE
country: DE

Crossover 12.1 and 64-bit ROSA 2012.Fresh

Post by user »

NicCo wrote:When we use a 64bit distro, sometimes we need to install some apps that are not available in 64bit but only in 32:
then we have two possibilities:
1> renounce to those apps finding other similar per functions
2> add 32bit repositories to install 32bit apps and related libs

Hello,

I am using ROSA Desktop.Fresh 2012 64bit

Thank you for your how-to (viewtopic.php?f=21&t=3660 how to install 32-bit software in 64-bit ROSA.
I'd like to use Crossover 12.1 (commercial 'branch' of wine) which needs a whole bunch of 32 libraries.

Following you steps only one but important 32-bit-lib is missing.

Is there any place to get a version of: libnss_mdns 32-bit library ?

Crossover provides some informations about the lib here:
http://www.codeweavers.com/support/wiki ... ibnss_mdns

Thank you in advance!

User avatar
NicCo
Amministratore
Amministratore
Posts: 4745
Joined: 6 December 2007, 19:54

Re: Crossover 12.1 and 64-bit ROSA 2012.Fresh

Post by NicCo »

I believe your file is
http://mirror.rosalab.ru/rosa2012.1/rep ... 1.i586.rpm

I fear you could not install this rpm via urpmi, it's possible informing you that that lib already exists,
the OS means about the 64bit one, in that case, you can download the file and install it via "rpm"...

example

Code: Select all

rpm -ivh /local_path/nss_mdns-0.10-11-rosa2012.1.i586.rpm
If refuse to install, you can add also, some other options like --nodeps --force


bye, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

Post Reply